Bug 1255569 - upgrade produces a list of skipped src packages
upgrade produces a list of skipped src packages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
25
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Reopened, Triaged, UserExperience
: 1262687 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 21:02 EDT by George R. Goffe
Modified: 2017-03-27 11:53 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-27 11:53:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George R. Goffe 2015-08-20 21:02:25 EDT
Description of problem:

When I execute this dnf command I get strange looking results. I can't tell if this is a bug or if dnf is working as designed. /usr/bin/dnf -y --refresh upgrade. Is there a better way for me to report this kind of stuff?

Version-Release number of selected component (if applicable):
dnf-1.1.0-2.fc22.noarch

How reproducible:
Always.

Steps to Reproduce:
1.dnf-1.1.0-2.fc22.noarch
2.see below for results
3.

Actual results:


/usr/bin/dnf -y --refresh upgrade
kde                                                                                                    1.4 kB/s | 257  B     00:00    
Fedora 22 - Updates Source                                                                             424 kB/s | 1.4 MB     00:03    
kde-testing                                                                                            333 kB/s | 212 kB     00:00    
RPM Fusion for Fedora 22 - Free - Updates                                                               96 kB/s |  29 kB     00:00    
Adobe Systems Incorporated                                                                              10 kB/s | 1.8 kB     00:00    
RPM Fusion for Fedora 22 - Free                                                                        585 kB/s | 551 kB     00:00    
Last metadata expiration check performed 0:00:00 ago on Thu Aug 20 17:55:18 2015.
Dependencies resolved.
=======================================================================================================================================
 Package                              Arch              Version                             Repository                            Size
=======================================================================================================================================
Skipping packages with broken dependencies:
 hiera                                src               1.3.4-3.fc22                        updates-testing-source                50 k
 perl-DateTime-TimeZone               src               1.93-1.fc22                         updates-testing-source               763 k
 perl-Log-Dispatch                    src               2.48-1.fc22                         updates-source                        69 k
 puppet                               src               4.1.0-4.fc22                        updates-testing-source               2.5 M
 python-astroid                       src               1.3.7-1.fc22                        updates-testing-source               151 k
 python-idna                          src               2.0-1.fc22                          updates-source                       137 k
 selinux-policy                       src               3.13.1-128.10.fc22                  updates-source                       1.9 M
 system-config-users                  src               1.3.8-1.fc22                        updates-source                       312 k
 tzdata                               src               2015f-1.fc22                        updates-source                       612 k
 yum                                  src               3.4.3-508.fc22                      updates-testing-source               2.4 M
 yum-utils                            src               1.1.31-508.fc22                     updates-source                       314 k

Transaction Summary
=======================================================================================================================================

Nothing to do.
Complete!



Expected results:


Additional info:
Comment 1 Radek Holy 2015-08-21 02:43:47 EDT
(In reply to George R. Goffe from comment #0)
> Is there a better way for me to report this kind of stuff?

When you report a problem where you expect particular packages to be installed but DNF installs different packages or does not install anything at all, we recommend you to follow this: https://github.com/rpm-software-management/dnf/wiki/Bug-Reporting#dependency-resolution-problem

On the other hand, this is not your case IIUIC. First of all I think that you have overlooked the label above the list of "updates". It says "Skipping packages with broken dependencies:". It means that these "updates" are available but cannot be installed for some reason. And secondly, as you can see, these "updates" are just sources (which means that you have probably enabled the source repositories). DNF does not install source packages.

So, I think that we can close this. If I missed something or if you believe that this is not correct behaviour, feel free to reopen it.
Comment 2 George R. Goffe 2015-08-21 14:33:26 EDT
Radek,

Thank you for your explanation and the time you spent on this bug. I will follow your suggestions in the future.

Thanks again,

George...
Comment 3 Radek Holy 2015-09-16 10:20:55 EDT
So, we have decided to fix this in DNF anyway. It should not print src packages in the "Skipping packages with broken dependencies:" section.
Comment 4 Radek Holy 2015-09-16 10:21:26 EDT
*** Bug 1262687 has been marked as a duplicate of this bug. ***
Comment 5 Daniel Miranda 2016-05-30 11:48:00 EDT
I'm still seeing this on COPR repositories with DNF 1.1.9-2 in F23. Unfortunately there isn't a separate source repository that I can disable to avoid the messages being shown.
Comment 6 Fedora Admin XMLRPC Client 2016-07-08 05:31:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2016-07-19 15:17:02 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Daniel Miranda 2016-07-19 16:00:05 EDT
I still observe this issue in F24
Comment 9 Jan Kurik 2016-07-26 01:01:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 10 Jaroslav Mracek 2017-03-27 11:53:21 EDT
I am sorry, but I cannot reproduce it with 
dnf-2.1.1_1-6g2509bf2.fc25.noarch
libsolv-0.6.26-20g668e249.fc25.x86_64
libdnf-0.9.0-1.git.1495.c721c19.fc25.x86_64

DNF-2.1 was released for fedora26+. It can be installed from our testing
repository for Fedora24+ ("dnf copr enable rpmsoftwaremanagement/dnf-nightly")
Please if the problem can be reproduce with latest dnf versions (2.1 and
newer), don't hesitate to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.